## org.biojava.bio
Class BioError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--org.biojava.bio.BioError

Direct Known Subclasses:
  AceError

public class BioError
extends java.lang.Error

A general purpose Error that can wrap another Throwable object.

BioError is an Error that should be thrown whenever some exceptional and unforseable event takes place. For example, sometimes exceptions can be thrown by a given method, but not when the calling method is a member of the same class. In this case, the try-catch block would collect the 'impossible' exception and throw a BioError that wraps it.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`BioError()`
`BioError(java.lang.String message)`
`BioError(java.lang.Throwable ex)`
`BioError(java.lang.Throwable ex, java.lang.String message)`

Method Summary
`java.lang.Throwable` `getWrappedException()`
`void` `printStackTrace()`
`void` `printStackTrace(java.io.PrintStream ps)`
`void` `printStackTrace(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioError

    public BioError(java.lang.String message)

### BioError

    public BioError(java.lang.Throwable ex)

### BioError

    public BioError(java.lang.Throwable ex,
                    java.lang.String message)

### BioError

    public BioError()

Method Detail

### getWrappedException

    public java.lang.Throwable getWrappedException()

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class java.lang.Throwable